Home
Support Forums

Run Build Complete but Still Building

Hello , I’m newbie in there. I have some problems my project. First I can build my local. So It’s working my vuejs project my local. and yes vuejs project.
My site name: https://recipeappwithvuejs.netlify.app/
my build log:

8:22:44 PM: Build ready to start
8:22:45 PM: build-image version: 09c2cdcdf242cf2f57c9ee0fcad9d298fad9ad41
8:22:45 PM: build-image tag: v3.5.0
8:22:45 PM: buildbot version: 8df8a50b1177b0b57364d20e0ea150448924cebf
8:22:45 PM: Building without cache
8:22:45 PM: Starting to prepare the repo for build
8:22:46 PM: No cached dependencies found. Cloning fresh repo
8:22:46 PM: git clone https://github.com/lovelyalchemist/my-recipe-app
8:22:47 PM: Preparing Git Reference refs/heads/main
8:22:49 PM: Starting build script
8:22:49 PM: Installing dependencies
8:22:49 PM: Python version set to 2.7
8:22:50 PM: v12.18.0 is already installed.
8:22:51 PM: Now using node v12.18.0 (npm v6.14.4)
8:22:51 PM: Started restoring cached build plugins
8:22:51 PM: Finished restoring cached build plugins
8:22:51 PM: Attempting ruby version 2.7.1, read from environment
8:22:53 PM: Using ruby version 2.7.1
8:22:53 PM: Using PHP version 5.6
8:22:53 PM: Started restoring cached node modules
8:22:53 PM: Finished restoring cached node modules
8:22:53 PM: Installing NPM modules using NPM version 6.14.4
8:23:17 PM: > yorkie@2.0.0 install /opt/build/repo/node_modules/yorkie
8:23:17 PM: > node bin/install.js
8:23:17 PM: CI detected, skipping Git hooks installation
8:23:17 PM: > node-sass@4.14.1 install /opt/build/repo/node_modules/node-sass
8:23:17 PM: > node scripts/install.js
8:23:18 PM: Downloading binary from https://github.com/sass/node-sass/releases/download/v4.14.1/linux-x64-72_binding.node
8:23:19 PM: Download complete
8:23:19 PM: Binary saved to /opt/build/repo/node_modules/node-sass/vendor/linux-x64-72/binding.node
8:23:19 PM: Caching binary to /opt/buildhome/.npm/node-sass/4.14.1/linux-x64-72_binding.node
8:23:19 PM: > ejs@2.7.4 postinstall /opt/build/repo/node_modules/@vue/cli-service/node_modules/ejs
8:23:19 PM: > node ./postinstall.js
8:23:19 PM: > core-js@3.6.4 postinstall /opt/build/repo/node_modules/core-js
8:23:19 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:23:19 PM: > node-sass@4.14.1 postinstall /opt/build/repo/node_modules/node-sass
8:23:19 PM: > node scripts/build.js
8:23:20 PM: Binary found at /opt/build/repo/node_modules/node-sass/vendor/linux-x64-72/binding.node
8:23:20 PM: Testing binary
8:23:20 PM: Binary is fine
8:23:21 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/webpack-dev-server/node_modules/fsevents):
8:23:21 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
8:23:21 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/watchpack-chokidar2/node_modules/fsevents):
8:23:21 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
8:23:21 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.3 (node_modules/fsevents):
8:23:21 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
8:23:21 PM: added 1375 packages from 896 contributors and audited 1378 packages in 27.312s
8:23:22 PM: 54 packages are looking for funding
8:23:22 PM: run npm fund for details
8:23:22 PM: found 0 vulnerabilities
8:23:23 PM: NPM modules installed
8:23:23 PM: Started restoring cached go cache
8:23:23 PM: Finished restoring cached go cache
8:23:23 PM: go version go1.14.4 linux/amd64
8:23:23 PM: go version go1.14.4 linux/amd64
8:23:23 PM: Installing missing commands
8:23:23 PM: Verify run directory
8:23:25 PM: ​
8:23:25 PM: ────────────────────────────────────────────────────────────────
8:23:25 PM: Netlify Build
8:23:25 PM: ────────────────────────────────────────────────────────────────
8:23:25 PM: ​
8:23:25 PM: ❯ Version
8:23:25 PM: @netlify/build 5.3.3
8:23:25 PM: ​
8:23:25 PM: ❯ Flags
8:23:25 PM: deployId: 5fbe92e49a635010b64e4577
8:23:25 PM: mode: buildbot
8:23:25 PM: ​
8:23:25 PM: ❯ Current directory
8:23:25 PM: /opt/build/repo
8:23:25 PM: ​
8:23:25 PM: ❯ Config file
8:23:25 PM: No config file was defined: using default values.
8:23:25 PM: ​
8:23:25 PM: ❯ Context
8:23:25 PM: production
8:23:25 PM: ​
8:23:25 PM: ────────────────────────────────────────────────────────────────
8:23:25 PM: 1. Build command from Netlify app
8:23:25 PM: ────────────────────────────────────────────────────────────────
8:23:25 PM: ​
8:23:25 PM: $ npm run build
8:23:25 PM: > hello-world@0.1.0 build /opt/build/repo
8:23:25 PM: > vue-cli-service build
8:23:26 PM: - Building for production…
8:23:29 PM: Browserslist: caniuse-lite is outdated. Please run the following command: npm update
8:23:32 PM: Browserslist: caniuse-lite is outdated. Please run the following command: npm update
8:23:41 PM: DONE Compiled successfully in 13181ms5:23:41 PM
8:23:42 PM: Webpack Bundle Analyzer is started at http://127.0.0.1:8888
8:23:42 PM: Use Ctrl+C to close it
8:23:42 PM: File Size Gzipped
8:23:42 PM: dist/js/chunk-5beb6dad.404e07ce.js 121.54 KiB 39.50 KiB
8:23:42 PM: dist/js/chunk-vendors.7ed05ae8.js 117.46 KiB 41.30 KiB
8:23:42 PM: dist/js/chunk-908c9d5e.8868aa85.js 42.99 KiB 10.48 KiB
8:23:42 PM: dist/js/chunk-085afb2a.6f1ceea3.js 24.84 KiB 4.99 KiB
8:23:42 PM: dist/js/chunk-77723668.2770fe8e.js 22.49 KiB 4.14 KiB
8:23:42 PM: dist/js/chunk-ced8f176.6c4a7e27.js 22.41 KiB 4.10 KiB
8:23:42 PM: dist/js/chunk-8dfedea8.1da5a35a.js 19.53 KiB 2.92 KiB
8:23:42 PM: dist/js/chunk-fb948568.990d0196.js 19.38 KiB 2.89 KiB
8:23:42 PM: dist/js/app.d33248b1.js 6.50 KiB 2.54 KiB
8:23:42 PM: dist/js/chunk-045cdc7c.dc2449f9.js 1.32 KiB 0.67 KiB
8:23:42 PM: dist/js/chunk-cc84b936.7eec2a4a.js 1.14 KiB 0.57 KiB
8:23:42 PM: dist/js/chunk-2d210c47.21c94883.js 0.32 KiB 0.25 KiB
8:23:42 PM: dist/css/chunk-5beb6dad.30c9b968.css 56.06 KiB 6.56 KiB
8:23:42 PM: dist/css/chunk-085afb2a.1a5cfdb2.css 8.96 KiB 1.72 KiB
8:23:42 PM: dist/css/chunk-ced8f176.e076f951.css 8.63 KiB 1.71 KiB
8:23:42 PM: dist/css/chunk-77723668.6b17835f.css 7.75 KiB 1.60 KiB
8:23:42 PM: dist/css/chunk-908c9d5e.924d5615.css 7.62 KiB 1.56 KiB
8:23:42 PM: dist/css/chunk-045cdc7c.a88f2c15.css 6.40 KiB 1.46 KiB
8:23:42 PM: dist/css/chunk-8dfedea8.2486042c.css 6.14 KiB 1.38 KiB
8:23:42 PM: dist/css/chunk-fb948568.f0fc6faf.css 5.28 KiB 1.24 KiB
8:23:42 PM: dist/css/chunk-cc84b936.3f665790.css 5.19 KiB 1.22 KiB
8:23:42 PM: dist/css/app.cce35b16.css 4.63 KiB 1.24 KiB
8:23:42 PM: Images and other types of assets omitted.
8:23:42 PM: DONE Build complete. The dist directory is ready to be deployed.
8:23:42 PM: INFO Check out deployment instructions at https://cli.vuejs.org/guide/deployment.html

but in my deploys section ıt s say building and then failed cause maximum runtime

What Should I do?
And one more thing I using vuerouter. history mode.
And my github: Github - Repo

Thank u for reading.

While someone actually tests your specific case, kindly check if this Upgraded to Webpack 5, Netlify build timing out or the post mentioned in one of links on it helps. It has the same issue as yours.

EDIT: I checked it now and found a solution. Change your vue.config.js line 18 to: new BundleAnalyzerPlugin({analyzerMode: 'disabled'}),.

2 Likes

omg! It’s working. literally it s working. :smiley:
I never thought about that part. thank u ^^ thank u so much

1 Like